package com.tencent.qqlivetv.accountcenter;

import android.os.Parcel;
import android.os.Parcelable;

public class AccountInfo implements Parcelable {
    public String appName;
    public boolean isExpired;
    public String openId;
    public String accessToken;
    public String nick;
    public String logo;
    public String thirdAccountId;
    public String thirdAccountName;
    public String md5;
    public long timestamp;

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(appName);
        dest.writeInt(isExpired ? 1 : 0);
        dest.writeString(openId);
        dest.writeString(accessToken);
        dest.writeString(nick);
        dest.writeString(logo);
        dest.writeString(thirdAccountId);
        dest.writeString(thirdAccountName);
        dest.writeString(md5);
        dest.writeLong(timestamp);
    }

    public static final Parcelable.Creator<AccountInfo> CREATOR = new Creator<AccountInfo>() {

        @Override
        public AccountInfo[] newArray(int size) {
            return new AccountInfo[size];
        }

        @Override
        public AccountInfo createFromParcel(Parcel source) {
            AccountInfo info = new AccountInfo();
            info.appName = source.readString();
            info.isExpired = source.readInt() == 1;
            info.openId = source.readString();
            info.accessToken = source.readString();
            info.nick = source.readString();
            info.logo = source.readString();
            info.thirdAccountId = source.readString();
            info.thirdAccountName = source.readString();
            info.md5 = source.readString();
            info.timestamp = source.readLong();
            return info;
        }
    };

    @Override
    public String toString() {
        StringBuilder sbBuilder = new StringBuilder();
        sbBuilder.append("appName=").append(appName);
        sbBuilder.append(", isExpired=").append(isExpired);
        sbBuilder.append(", openId=").append(openId);
        sbBuilder.append(", accessToken=").append(accessToken);
        sbBuilder.append(", nick=").append(nick);
        sbBuilder.append(", logo=").append(logo);
        sbBuilder.append(", thirdAccountId=").append(thirdAccountId);
        sbBuilder.append(", thirdAccountName=").append(thirdAccountName);
        sbBuilder.append(", timestamp=").append(timestamp);
        sbBuilder.append(", md5=").append(md5);
        return sbBuilder.toString();
    }
}